{% set versions = ['3.8', '3.9', '3.10', '3.11', '3.12-rc'] %}
{% set variants = ["jammy", "slim-jammy"] %}

include:
{% for version in versions %}
  {% for variant in variants %}
  - project: 'nirvati/ci'
    file: '/docker.yml'
    inputs:
      username: $HARBOR_USERNAME
      password: $HARBOR_PASSWORD
      registry: $HARBOR_HOST
      project: library
      container: $CI_PROJECT_NAME
      tag: {{version}}-{{variant}}
      suffix: {{version}}-{{variant}}
      dir: ./{{version}}/{{variant}}
  {% endfor %}
{% endfor %}

# No order is perfect here, but this is not too complicated and works just fine
# TODO: Improve default CI config to use needs: and then we can remove the stages
stages:
- docker-build
- docker-deploy
